var exec = require("child_process").exec;
function execute(cmd) {
  exec(cmd, function (error, stdout, stderr) {
    if (error) {
      console.error(error);
      process.exit(1);
    }
  });
}

var arguments = process.argv.splice(2);
let params = {
  tag: null,
  m: null || "未知",
};
for (let item of arguments) {
  let index = item.indexOf("=");
  let key = item.substring(2, index);
  let value = item.substr(index + 1);
  for (let jtem in params) {
    if (key == jtem) {
      params[jtem] = value;
    }
  }
}
if (!params.tag) {
  throw "tag params is required!";
}

execute("git checkout develop");
execute("git pull");
execute("git checkout master");
execute("git merge --no-ff develop");
execute("git push");
execute(`git tag -a ${params.tag} -m ${params.m}`);
execute(`git push --tags `);

console.log("success");
